RESIZE_REISERFS(8)

NUME
resize_reiserfs - resizer tool for the ReiserFS filesystem

SINOPSIS
resize_reiserfs [ -s [+|-]dimensiune[K|M|G] ] [ -j dispozitiv-jurnal ] [ -fqv ] dispozitiv

DESCRIERE
Instrumentul resize_reiserfs redimensionează un sistem de fișiere reiserfs nemontat. Acesta mărește sau micșorează un sistem de fișiere reiserfs aflat pe un dispozitiv astfel încât acesta să aibă dimensiune octeți sau dimensiune=dimensiunea-veche +(-) dimensiune octeți dacă se utilizează prefixul „+” sau „-”. Dacă opțiunea -s nu este specificată, sistemul de fișiere va fi redimensionat pentru a umple dispozitivul dat. Parametrul size poate avea unul dintre modificatorii opționali K, M, G, ceea ce înseamnă că parametrul dimensiune este dat în kilo-, mega-, respectiv gigaocteți.

Programul resize_reiserfs nu manipulează dimensiunea dispozitivului. Dacă doriți să măriți un sistem de fișiere, trebuie să vă asigurați că ați extins mai întâi dispozitivul de bază. Acest lucru se poate face folosind cfdisk(8) pentru partiții, prin ștergerea partiției și recrearea ei cu o dimensiune mai mare (presupunând că există spațiu liber după partiția în cauză). Asigurați-vă că o recreați cu același cilindru de disc de pornire ca înainte! În caz contrar, operațiunea de redimensionare cu siguranță nu va funcționa și este posibil să pierdeți întregul sistem de fișiere.

Programul resize_reiserfs permite creșterea unui reiserfs aflat în uz dacă există spațiu liber pe dispozitivul bloc.

Dacă doriți să micșorați o partiție reiserfs, utilizați mai întâi resize_reiserfs pentru a micșora sistemul de fișiere. Apoi, puteți utiliza cfdisk(8) pentru a micșora dispozitivul. Atunci când micșorați dimensiunea dispozitivului, asigurați-vă că nu o faceți mai mică decât dimensiunea redusă a sistemului de fișiere reiserfs.

OPȚIUNI

-s [+|-]dimensiunea
    Stabilește noua dimensiune în octeți.

-j dispozitiv-jurnal
    Stabilește numele dispozitivului de jurnal.

-f  Forțează executarea operației cerute, nu efectuează verificări.

-q  Nu afișează nimic altceva decât mesajele de eroare.

-v  Activează mesajele suplimentare de stare a progresului (implicit).

VALORI RETURNATE
0    Redimensionare reușită.

-1	Redimensionarea nu a reușit.

EXEMPLE
Următorul exemplu arată cum se testează resize_reiserfs. Să presupunem că sistemul de fișiere reiserfs de 2Go este creat pe dispozitivul „/dev/hda8” și este montat pe „/mnt”. Pentru a micșora dispozitivul trebuie să-l demontăm mai întâi, apoi să rulăm resize_reiserfs cu un parametru dimensiune (în acest caz -1Go):

    df
    umount /mnt
    resize_reiserfs -s -1G /dev/hda8
    mount /dev/hda8 /mnt
    df /mnt

AUTOR
Această versiune de resize_reiserfs a fost scrisă de Alexander Zarochentcev <zam@namesys.com>.

ERORI
Raportați erorile către dezvoltatorii ReiserFS <reiserfs-devel@vger.kernel.org>, furnizând cât mai multe informații posibile - componentele calculatorului, nucleul, corecțiile, configurările, toate mesajele imprimate; verificați fișierul syslog pentru orice informații conexe.

CONSULTAȚI ȘI
cfdisk(8), reiserfsck(8), debugreiserfs(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.